'use strict';

var pluginHelpers = require('@graphql-codegen/plugin-helpers');
var schemaAst = require('@graphql-codegen/schema-ast');
var typescript = require('@graphql-codegen/typescript');

// src/plugin.ts
var plugin = (schema, documents, config = {}) => {
  config = Object.assign(config, {
    onlyEnums: true,
    namingConvention: {
      enumValues: "keep"
    }
  });
  const { schema: _schema, ast } = schemaAst.transformSchemaAST(schema, config);
  const visitor = new typescript.TsVisitor(_schema, config);
  const visitorResult = pluginHelpers.oldVisit(ast, { leave: visitor });
  return {
    content: [...visitorResult.definitions].filter(Boolean).join("\n")
  };
};

exports.plugin = plugin;
